partial_sum.hpp File Reference

## Classes

struct | ranges::partial_sum_fn

## Typedefs

template<typename I , typename O >
using | ranges::partial_sum_result = detail::in_out_result< I, O >

## Functions

concept() | ranges::indirect_semigroup_ (I, BOp)
concept() | ranges::partial_sum_constraints_ (I, O, BOp, P)

## Variables

template<typename I , typename BOp >
concept | ranges::indirect_semigroup
concept() copyable< iter_value_t< I > > && | ranges::indirectly_regular_binary_invocable_< composed< coerce< iter_value_t< I > >, BOp >, iter_value_t< I > *, I >
constexpr partial_sum_fn | ranges::partial_sum {}
template<typename I , typename O , typename BOp = plus, typename P = identity>
concept | ranges::partial_sum_constraints